<div class="wrap">
    <div>
        <h1>
            <span>
                Constant Content Publisher
            </span>
        </h1>
        <h4>
            version <?= ConstantContentPublisher::version ?>
        </h4>
    </div>
    <?php
    if ($_POST['hidden'] == 'Y') {
        //Form data sent
        $host = $_POST['host'];
        ConstantContentPublisher::save('host', $host);

        $customer = $_POST['customer'];
        ConstantContentPublisher::save('customer', $customer);

        $siteKey = $_POST['site'];
        ConstantContentPublisher::save('site', $siteKey);

        $post_author = $_POST['post_author'];
        ConstantContentPublisher::save('post_author', $post_author);

        $autopublish = $_POST['autopublish'];
        ConstantContentPublisher::save('autopublish', $autopublish);
        echo '<div class="updated">';
        echo '<p>';
        echo '<strong>Options saved.</strong>';
        echo '</p>';
        echo '</div>';
    }
    $host = ConstantContentPublisher::get('host');
    $customer = ConstantContentPublisher::get('customer');
    $siteKey = ConstantContentPublisher::get('site');
    $post_author = ConstantContentPublisher::get('post_author');
    $autopublish = ConstantContentPublisher::get('autopublish');
    $autopublishcheck = ConstantContentPublisher::get('autopublishcheck');
    $autopublishdate = ConstantContentPublisher::get('autopublishdate');
    if ($customer != '' && $siteKey != '') {
        $resultXML = ConstantContentPublisher::getDocumentList($customer, $siteKey);
        try {
            $articles = new SimpleXMLElement((string) $resultXML);
        } catch (Exception $e) {
            $xml = "<?xml version=\"1.0\"?>\n<Root>\n<Articles/>\n<Errors/>\n</Root>";
            $articles = new SimpleXMLElement(trim($xml));
        }
    }
    $publishedDocs = maybe_unserialize(ConstantContentPublisher::get('publishedDocs', array()));
    if ($_POST['publish'] == "Publish Now" && (!isset($publishedDocs[(string) $_POST['docKey']]))) {
        $docDetailsXML = getDocumentDetails($customer, $siteKey, $_POST['docKey']);
        $docDetails = new SimpleXMLElement(trim($docDetailsXML));
        ConstantContentPublisher::createPost($docDetails->Document->Article);
        $publishedDocs = maybe_unserialize(ConstantContentPublisher::get('publishedDocs', array()));
    }
    if ($customer != '' && $siteKey != '') {
        $errorCount = 0;
        foreach ($articles->Errors->children() as $error) {
            $errorCount++;
            echo '<div class="error">';
            echo '<p>';
            echo '<strong>' . $error->error_text . '</strong>';
            echo '</p>';
            echo '</div>';
        }
        if ($_POST['hidden'] == 'Y' && $errorCount == 0) {
            echo '<div class="updated">';
            echo '<p>';
            echo '<strong>Connected to Account.</strong>';
            echo '</p>';
            echo '</div>';
        }
    }

    $users_opt = array(
        'hide_if_only_one_author' => false,
        'who' => 'authors',
        'name' => 'post_author',
        'class' => 'authors',
        'multi' => 1,
        'echo' => 0,
    );
    if (!empty($post_author)) {
        $users_opt['selected'] = $post_author;
    }
    $authors = wp_dropdown_users($users_opt);
    ?>
    <div class="postbox">
        <div class="inside">
            <h3>
                <span>
                    Publisher Site Settings
                </span>
            </h3>
            <form name="form" method="post"
                  action="<?php echo str_replace('%7E', '~', $_SERVER['REQUEST_URI']); ?>">
                <input type="hidden" name="hidden" value="Y">
                <table>
                    <tr>
                        <td>Server host:</td>
                        <td><input type="text" name="host" value="<?php echo $host; ?>" size="70"></td>
                    </tr>
                    <tr>
                        <td>Customer Key:</td>
                        <td><input type="text" name="customer" value="<?php echo $customer; ?>" size="70"></td>
                    </tr>
                    <tr>
                        <td>Site Key:</td>
                        <td><input type="text" name="site" value="<?php echo $siteKey; ?>" size="70"></td>
                    </tr>
                    <tr>
                        <td>Author:</td>
                        <td><?= $authors ?></td>
                    </tr>
                    <tr>
                        <td>Auto Post:</td>
                        <td><input type="checkbox" name="autopublish" <?php
    if ($autopublish == 'on') {
        echo 'checked="yes"';
    }
    ?> size="70">
                        </td>
                    </tr>
                    <tr>
                        <td>Last Auto Publish Date:</td>
                        <td><?php echo $autopublishdate ?></td>
                    </tr>
                    <tr>
                        <td>Last Auto Publish check:</td>
                        <td><?php echo $autopublishcheck ?></td>
                    </tr>
                    <tr>
                        <td colspan="2" align="right"><input type="submit" name="Submit" value="Update Settings" /></td>
                    </tr>
                </table>
            </form>
        </div>
    </div>
    <div class="wrap">
        <div class="postbox">
            <div class="inside">
                <h3>
                    <span>
                        Published Documents
                    </span>
                </h3>
                <table class="widefat post">
                    <thead>
                        <tr>
                            <th>Post Title</th>
                            <th>Publication Date</th>
                            <th>Publication Status</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                        if ($customer != '' && $siteKey != '') {
                            foreach ($articles->Articles->children() as $article) {
                                echo '<tr>';
                                echo '<td>' . $article->Title . '</td>';
                                echo '<td>' . $article->Publication_Date . '</td>';
                                echo '<td>';
                                if (isset($publishedDocs[(string) $article->docKey])) {
                                    echo 'Published';
                                } else {
                                    echo 'Unpublished';
//	            echo '<form name="form" method="post" action="'.str_replace( '%7E', '~', $_SERVER['REQUEST_URI']).'">';
//	            echo '<input type="hidden" name="docKey" value="'.$article->docKey.'">';
//	            echo '<input type="hidden" name="publish" value="true">';
//	            echo '<input type="submit" value="Publish Now" name="publish">';
//	            echo '</form>';
                                }
                                echo '</td>';
                                echo '</tr>';
                            }
                        }
                        ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
